Package org.stianloader.micromixin.transform.internal

## Interface ClassMemberStub

All Known Implementing Classes:
  `MixinFieldStub`, `MixinMethodStub`

    public interface ClassMemberStub

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `applyTo​(org.objectweb.asm.tree.ClassNode target, HandlerContextHelper hctx, MixinStub stub, SimpleRemapper remapper, java.lang.StringBuilder sharedBuilder)`
`void` `collectMappings​(org.objectweb.asm.tree.ClassNode target, HandlerContextHelper hctx, MixinStub stub, SimpleRemapper out, java.lang.StringBuilder sharedBuilder)`
`int` `getAccess()`
`java.lang.String` `getDesc()`
`MixinLoggingFacade` `getLogger()`
`java.lang.String` `getName()`
`org.objectweb.asm.tree.ClassNode` `getOwner()`

### Method Detail

#### getOwner

    @NotNull
    org.objectweb.asm.tree.ClassNode getOwner()

#### getName

    @NotNull
    java.lang.String getName()

#### getDesc

    @NotNull
    java.lang.String getDesc()

#### getLogger

    @NotNull
    MixinLoggingFacade getLogger()

#### getAccess

    int getAccess()

#### applyTo

    void applyTo​(@NotNull
                 org.objectweb.asm.tree.ClassNode target,
                 @NotNull
                 HandlerContextHelper hctx,
                 @NotNull
                 MixinStub stub,
                 @NotNull
                 SimpleRemapper remapper,
                 @NotNull
                 java.lang.StringBuilder sharedBuilder)

#### collectMappings

    void collectMappings​(@NotNull
                         org.objectweb.asm.tree.ClassNode target,
                         @NotNull
                         HandlerContextHelper hctx,
                         @NotNull
                         MixinStub stub,
                         @NotNull
                         SimpleRemapper out,
                         @NotNull
                         java.lang.StringBuilder sharedBuilder)